import java.io.FileOutputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import com.itextpdf.text.BaseColor;
import com.itextpdf.text.Document;
import com.itextpdf.text.Element;
import com.itextpdf.text.Font;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.pdf.BaseFont;
import com.itextpdf.text.pdf.PdfPTable;
import com.itextpdf.text.pdf.PdfWriter;
 
public class PdfFromDB {	
	//ݱֶ
	private static final int colNum = 7;
	//ñ
	private static final int spacing = 1;
	private static final int padding = 2;

	public static void main(String[] args) throws Exception {	
		//֧
		BaseFont baseFontChinese = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", BaseFont.NOT_EMBEDDED); 
        Font fontChinese =new Font(baseFontChinese,12,Font.NORMAL); 
        //һĵ
		Document document = new Document(PageSize.A4.rotate(),10,10,10,10);
		//ݿ
		Connection conn = null;
		DBConnection db = new DBConnection();  
		conn = db.getDB();
		
		try {
			//ĵдһPDFļ
			PdfWriter.getInstance(document, new FileOutputStream("C:\\Users\\ASUS\\Desktop\\student.pdf"));
			document.open();    
			//м
			PdfPTable table = new PdfPTable(colNum);
			//ֶεԪԴС
			int[] cellsWidth = {6,5,5,2,3,8,2};
			table.setWidths(cellsWidth);
			//ñռĵĴС
			table.setWidthPercentage(90);
			table.getDefaultCell().setPadding(padding);
			table.getDefaultCell().setBorderWidth(spacing);
			//õԪı
			table.getDefaultCell().setHorizontalAlignment(Element.ALIGN_CENTER);
			//ѯ
			String sql = "select * from student";
			//ִвѯ
			PreparedStatement ps = conn.prepareStatement(sql);
			//ȡ
			ResultSet rs = ps.executeQuery();
			//ȡֶϢ
			ResultSetMetaData metaData = rs.getMetaData();
			//ֶ
			for(int i=0;i<colNum;i++){
				//ȡֶ
				table.addCell(new Paragraph(metaData.getColumnLabel(i+1),fontChinese));
			}
			table.setHeaderRows(1);                  //ͷý,ʾһڱͷ
			table.getDefaultCell().setBorderWidth(1);
			//ѯÿһΪһӵpdfļ
			while(rs.next()){
				for(int i=1;i<=colNum;i++){
					table.addCell(new Paragraph(rs.getString(i),fontChinese));
				}
			}
			//ӵĵ
			document.add(table);
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			conn.close();
			document.close();
			System.out.println("ɹ");
		}
	}

}